
Redmine - Defect #7324

Subversion diff gives an error.

2011-01-13 20:28 - wilfrid husson

Status: Closed Start date: 2011-01-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.0

Description

Hello all

I'm new with redmine and subversion!

Well, I have a repository with several subdirectory (like everyone, I hope ;)

The structure is as follows:

Repository |Project name

/branches

/tags(with subdirectories)

/trunk

when I configure the path of my repository in redmine with svn://XXX/repository subdir/Project name/ or svn://XXX/repository subdir/

(or with file:///) all it's OK but if I use svn://XXX/repository subdir/Project name/trunk (or branches or tags or one of it's subdir) I get an

error: "The entry or revision was not found in the repository." mine is in french but it's the same ;) with "Rendering common/error

(500)" in production log file.

The error is the same with a copy of the repository but with a new repository with the same structure all it's OK (I export the file from

the first to the second one) and all seems to be good with my tortoise client.

database version: MySQL 5.5

Ruby version: 1.8.7

Rails version: 2.3.5

Redmine version: 1.1.0

Subversion version 1.6

production.log error

Processing RepositoriesController#diff (for X.X.X.X at 2011-01-13 19:45:54) [GET]

  Parameters: {"rev"=>"28", "rev_to"=>"9", "action"=>"diff", "id"=>"test", "path"=>["GM.c"], "cont

roller"=>"repositories"}

Rendering template within layouts/base

Rendering common/error (500)

Completed in 234ms (View: 47, DB: 16) | 500 Internal Server Error [http://X/projects/test/reposito

ry/diff/GM.c?rev=28&rev_to=9]

 If someone has an idea?

This repository is almost empty and I can recreate one, but if I can understand what is the problem I't would be very cool!

Related issues:

Is duplicate of Redmine - Defect #2493: Subversion: Error message for some of... Confirmed 2009-01-12

History

#1 - 2011-01-22 14:42 - Jean-Philippe Lang

You should first try to get the log with log_level set to :debug (see config/environment.rb).

#2 - 2013-03-26 23:56 - Toshi MARUYAMA

Duplicate with #2493.

#3 - 2013-03-26 23:56 - Toshi MARUYAMA

- Status changed from New to Closed
